s10_level_hints.levels["Level 2"] = function()
	return
	{
		miniscenes
		({
			level02_miniscene_box = 
			{
				IF(state("box", "box02"), miniscene("box"))
			}
		}),
	
		-- починить стул
		take("chair leg"),
		click("chair", "chair leg"),
		
		-- открыть шкатулку
		IF(state("box", "box01"), minigame("box")),
		
		-- найти ключ
		IF(state("picture", "picture01"), click("picture")),
		take("key"),
		
		-- собрать слайды
		take("slide01"),
		take("slide02"),
		take("slide03"),
		take("slide04"),
		take("slide05"),
		take("slide06"),
		take("slide07"),
		take("slide08"),
		
		on_scene("level02_miniscene_box",
		{
			take("slide09"),
			
		--  собрать копье
			take("glue")
		}),
		click("area_stand", "key"),
		IF(state("stand", "stand02"), take("spear_broken", "area_stand")),
		
		-- обнаружить код на слайде
		IF(state_in_inv("slide_inv", "slide_inv09"), click("frame", "slide_inv")),
		IF(state("frame", "frame02"), minigame("frame")),
		click("area_projector", "frame"),
		IF(NOT(task_completed(6)),
		{
			IF(state("clip_projector_light", "projector_light03"), click("area_projector")),
			IF(state("switch", "switch01_on"), click("switch"))
		}),
		
		-- открыть потайную дверь
		click("area_legionary", "spear_safe"),
		IF(state("legionary", "legionary02"), click("area_legionary")),
		IF(state("panel_door", "panel_door02"), minigame("area_secret_door")),
		IF(state("panel_door", "panel_door03"), end_level("area_secret_door"))
	}	
end
